WhatsApp
Envoyer un texte (WhatsApp)
Envoyer un message WhatsApp texte depuis votre numéro connecté
POST
/
whatsapp
/
send
/
text
Envoyer un texte (WhatsApp)
curl --request POST \
--url https://api.dexchange-sms.com/api/v1/whatsapp/send/text \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"body": "<string>",
"from": "<string>"
}
'import requests
url = "https://api.dexchange-sms.com/api/v1/whatsapp/send/text"
payload = {
"to": "<string>",
"body": "<string>",
"from": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to: '<string>', body: JSON.stringify('<string>'), from: '<string>'})
};
fetch('https://api.dexchange-sms.com/api/v1/whatsapp/send/text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Description
Envoie un message texte WhatsApp depuis un numéro préalablement connecté.Paramètres de la requête
string
required
Numéro du destinataire au format international sans
+ (ex. 221771234567).string
required
Contenu du message.
string
Numéro expéditeur, si vous avez connecté plusieurs numéros. Par défaut : le
premier numéro connecté.
Exemple de requête
curl -X POST https://api.dexchange-sms.com/api/v1/whatsapp/send/text \
-H "Authorization: Bearer VOTRE_CLE_API" \
-H "Content-Type: application/json" \
-d '{
"to": "221771234567",
"body": "Bonjour ! Votre commande #12345 est prête."
}'
await fetch('https://api.dexchange-sms.com/api/v1/whatsapp/send/text', {
method: 'POST',
headers: { 'Authorization': 'Bearer VOTRE_CLE_API', 'Content-Type': 'application/json' },
body: JSON.stringify({
to: '221771234567',
body: 'Bonjour ! Votre commande #12345 est prête.'
})
});
import requests
requests.post(
'https://api.dexchange-sms.com/api/v1/whatsapp/send/text',
headers={'Authorization': 'Bearer VOTRE_CLE_API'},
json={'to': '221771234567', 'body': 'Bonjour ! Votre commande #12345 est prête.'}
)
Réponse
Le message est envoyé et un identifiant de suivi est renvoyé.{
"success": true,
"messageID": "wamid...."
}
Le numéro doit être connecté et la session active. Si aucune session n’est
connectée, l’envoi échoue — voir Connecter un numéro.
⌘I
Envoyer un texte (WhatsApp)
